<template>
    <web-view :src="url" />
</template>

<script>
export default {
    data() {
        return {
            urlData: "",
            url: "https://chis.e24health.com/book/#/order/tabs"
        }
    },
    onLoad: function (options) {
        console.log("wx.options", this.$cache.get('userData'))
        this.setData({
            urlData: this.$cache.get('userData')
        }, () => {
            if (!options.page) {
                this.setData({

                    url: `${this.url}?patID=${this.urlData.hisPatID}&hisHospID=${this.urlData.hisHospID}&openID=${this.urlData.openID}&telphone=${this.urlData.mobile}&patDesc=${this.urlData.patDesc}`
                }, () => {
                    console.log("url----", this.url)
                })
            } else {
                this.setData({
                    url: `${this.url}?patID=${this.urlData.hisPatID}&hisHospID=${this.urlData.hisHospID}&openID=${this.urlData.openID}&telphone=${this.urlData.mobile}&patDesc=${this.urlData.patDesc}`
                })
            }
        })

    },
}
</script>

<style></style>